<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Font</title>

<link href="css/bootstrap.css" rel="stylesheet" />
<link href="css/bootswatch.min.css" rel="stylesheet" />

<style>

@font-face{
	font-family: 'customKK';
	src:url("fonts/opensans-regular-webfont.ttf") format('truetype'),
		url('fonts/opensans-regular-webfont.woff') format('woff'),
		url('fonts/opensans-regular-webfont.svg#open_sansbold') format('svg');
}

@font-face{
	font-family: 'customKK';
	src:url("fonts/opensans-bold-webfont.ttf") format('truetype'),
		url('fonts/opensans-bold-webfont.woff') format('woff'),
		url('fonts/opensans-bold-webfont.svg#open_sansbold') format('svg');
	font-weight: bold;
}

body {
	background: #bbbbaa url("images/responsive.jpg") no-repeat center center
		fixed;
	height: 100%;
	background-size: cover;
}

.bodyH2 {
	text-align: right;
	color: white;
	width: 80%;
}

div {
	margin: 0 auto;
	width: 80%;
}

.container {
	background: #dedede;
	margin-top: 10px;
	border-radius: 4px;
	padding-bottom: 5px;
}

#fontFamily p:nth-child(2) {
	font-family: Georgia, "Arial", serif;
	font-size:25px;
}

#fontFamily p:nth-child(3) {
	font: 25px Arial, sans-serif;
	font-style:italic;
}

#fontFamily p:nth-child(4) {
	font: 20px customKK;
	font-style:italic;
}

/*Font size */
#fontSize{
	font-size:15px;
}

#fontSize p:nth-child(2) {
	/* default 15px */
}

#fontSize p:nth-child(3) {
	font-family:customKK;
	font-size:1em;
}

#fontSize p:nth-child(4) {
	font-size: 30px;
}

#fontSize p:nth-child(5) {
/* 	font-family:customKK; */
	font-size:2em;
}

/* links */
#links a{
	display:block;
}

/* unvisited link */
#links a:link:nth-child(2){
	color:blue; 
}

/* hover link */
#links a:hover:nth-child(2){
	color:red;
	font-family:customKK; 
}

/* hover link */
#links a:visited:nth-child(3){
	color:green;
	font-family:customKK; 
}

/* hover link */
#links a:hover:nth-child(3){
	color:red;
	font-family:customKK; 
}

/* hover link */
#links a:active:nth-child(3){
	color:black;
	font-family:customKK; 
}

/* box link */
#links a:nth-child(4){
	display:block;
	background:#554499;
	color: white;
	width:200px;
	padding:5px 10px;
	text-decoration: none;
	text-align:center;
}

#links a:hover:nth-child(4){
	background:white;
	color:#554499;
}

</style>

</head>
<body>

	<h2 class="bodyH2">Font & Links</h2>

	<div id="fontFamily" class="container">
		<h2>Font Family</h2>
		<p>Georgia Times New Roman serif</p>
		<p>Arial, sans-serif</p>
		<p>Custom Font-face Italic</p>
	</div>

	<div id="fontSize" class="container">
		<h2>Font Size</h2>
		<p>15px</p>

		<p>1em</p>
		<p>30px</p>
		
		<p>2em</p>
	</div>

	<div id="links" class="container">
		<h2>Links</h2>
		<a href="helloworld.html">unvisited link</a>
		<a href="#">visited link</a>
		<a href="#">Link Box</a>
	</div>
</body>
</html>